'use client';

import React from 'react';
import { useSession } from '@/context/SessionContext';

export default function MainContentWrapper({ children }: { children: React.ReactNode }) {
    const { activeSession } = useSession();

    return (
        <div className={`transition-all duration-500 ${activeSession ? 'pt-[52px]' : 'pt-0'}`}>
            {children}
        </div>
    );
}
